/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectcontentinfo.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.projectcontentinfo.entity.ProjectReportData;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 报告详情DAO接口
 * @author yangfan
 * @version 2018-06-05
 */
@MyBatisDao
public interface ProjectReportChangeDao extends CrudDao<ProjectReportData> {

    ProjectReportData getNumber(ProjectReportData projectReportData);
    public int changeProjectReportData(ProjectReportData projectReportData);
    public int changeBerforProjectReportData(ProjectReportData projectReportData);

    ProjectReportData findByBefore(ProjectReportData projectReportData);
    /**
     * 修改作废信息
     * @param projectReportData
     * @return
     */
    public int saveInvalid(ProjectReportData projectReportData);
    /**
     * 更新流程实例ID
     * @return
     */
    public int updateProcessInstanceId(ProjectReportData projectReportData);

    /**
     * 根据流程实例ID获取WorkReimbursement
     * @param processInstanceId
     * @return
     */
    public ProjectReportData getByProcessInstanceId(String processInstanceId);
    /**
     * 更新流程实例ID
     * @return
     */
    public int updateInvalidProcessInstanceId(ProjectReportData projectReportData);

    public void deleteReportDataInfo(@Param("reportId") String reportId);
    public void deleteReportDataBased(@Param("reportId") String reportId);
    public void deleteContentChange(@Param("infoId") String infoId);


    /**
     * 根据流程实例ID获取WorkReimbursement
     * @param processInstanceId
     * @return
     */
    public ProjectReportData getByInvalidProcessInstanceId(String processInstanceId);

    /**
     * 更新流程实例ID
     * @return
     */
    public void deleteTree(ProjectReportData projectReportData);

    void reportNumber(@Param("reportId") String reportId,@Param("number") String number);
}